## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanInMemoryMessageLoader Class Reference

Inheritance diagram for XalanInMemoryMessageLoader:

[legend]
Collaboration diagram for XalanInMemoryMessageLoader:

[legend]
List of all members.

## Public Member Functions

- XalanInMemoryMessageLoader (MemoryManagerType &theManager)
- virtual ~XalanInMemoryMessageLoader ()

## Protected Member Functions

- virtual bool loadMsg (XalanMessages::Codes msgToLoad, XalanDOMChar *toFill, unsigned int maxChars)

## Constructor & Destructor Documentation

XalanInMemoryMessageLoader::XalanInMemoryMessageLoader | ( | MemoryManagerType & | theManager | ) |

virtual XalanInMemoryMessageLoader::~XalanInMemoryMessageLoader | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool XalanInMemoryMessageLoader::loadMsg | ( | XalanMessages::Codes | msgToLoad,
|  | XalanDOMChar * | toFill,
|  | unsigned int | maxChars
| ) | `[protected, virtual]`

| Implements XalanMessageLoader.

The documentation for this class was generated from the following file:

- XalanInMemoryMessageLoader.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.